Index: trunk/VUT/Ogre/include/OgreOctreeHierarchyInterface.h
===================================================================
--- trunk/VUT/Ogre/include/OgreOctreeHierarchyInterface.h	(revision 59)
+++ trunk/VUT/Ogre/include/OgreOctreeHierarchyInterface.h	(revision 74)
@@ -33,14 +33,14 @@
 	void TraverseNode(GtpVisibility::HierarchyNode *node);
 	void RenderNode(GtpVisibility::HierarchyNode *node);
-	bool IsLeaf(GtpVisibility::HierarchyNode *node);
-	bool HasGeometry(GtpVisibility::HierarchyNode *node);
+	bool IsLeaf(GtpVisibility::HierarchyNode *node) const;
+	bool HasGeometry(GtpVisibility::HierarchyNode *node) const;
 	bool HasGreaterDistance(GtpVisibility::HierarchyNode *node1, 
-						    GtpVisibility::HierarchyNode *node2);
+						    GtpVisibility::HierarchyNode *node2) const;
 	
 	void SetNodeVisible(GtpVisibility::HierarchyNode *node, const bool visible);
-	void SetLastVisited(GtpVisibility::HierarchyNode *node, const int frameId);
+	void SetLastVisited(GtpVisibility::HierarchyNode *node, const unsigned int frameId);
 
-	bool IsNodeVisible(GtpVisibility::HierarchyNode *node);
-	int LastVisited(GtpVisibility::HierarchyNode *node);
+	bool IsNodeVisible(GtpVisibility::HierarchyNode *node) const;
+	unsigned int LastVisited(GtpVisibility::HierarchyNode *node) const;
 
 protected:
Index: trunk/VUT/Ogre/include/OgreSceneNodeHierarchyInterface.h
===================================================================
--- trunk/VUT/Ogre/include/OgreSceneNodeHierarchyInterface.h	(revision 59)
+++ trunk/VUT/Ogre/include/OgreSceneNodeHierarchyInterface.h	(revision 74)
@@ -19,18 +19,19 @@
 	SceneNodeHierarchyInterface(SceneManager *sm, RenderSystem *rsys);
 	
-	bool IsLeaf(GtpVisibility::HierarchyNode *node);
+	bool IsLeaf(GtpVisibility::HierarchyNode *node) const;
 	
 	void TraverseNode(GtpVisibility::HierarchyNode *node);
 	void RenderNode(GtpVisibility::HierarchyNode *node);
 	void PullUpVisibility(GtpVisibility::HierarchyNode *node);
-	bool HasGeometry(GtpVisibility::HierarchyNode *node);
+	bool HasGeometry(GtpVisibility::HierarchyNode *node) const;
 	bool HasGreaterDistance(GtpVisibility::HierarchyNode *node1, 
-						    GtpVisibility::HierarchyNode *node2);
+						    GtpVisibility::HierarchyNode *node2) const;
 
 	void SetNodeVisible(GtpVisibility::HierarchyNode *node, const bool visible);
-	void SetLastVisited(GtpVisibility::HierarchyNode *node, const int frameId);
+	void SetLastVisited(GtpVisibility::HierarchyNode *node, 
+						const unsigned int frameId);
 
-	bool IsNodeVisible(GtpVisibility::HierarchyNode *node);
-	int LastVisited(GtpVisibility::HierarchyNode *node);
+	bool IsNodeVisible(GtpVisibility::HierarchyNode *node) const;
+	unsigned int LastVisited(GtpVisibility::HierarchyNode *node) const;
 
 	AxisAlignedBox *GetBoundingBox(GtpVisibility::HierarchyNode *node);
Index: trunk/VUT/Ogre/include/OgreBspHierarchyInterface.h
===================================================================
--- trunk/VUT/Ogre/include/OgreBspHierarchyInterface.h	(revision 59)
+++ trunk/VUT/Ogre/include/OgreBspHierarchyInterface.h	(revision 74)
@@ -26,14 +26,15 @@
 	void TraverseNode(GtpVisibility::HierarchyNode *node);
 	void RenderNode(GtpVisibility::HierarchyNode *node);
-	bool IsLeaf(GtpVisibility::HierarchyNode *node);
-	bool HasGeometry(GtpVisibility::HierarchyNode *node);
+	bool IsLeaf(GtpVisibility::HierarchyNode *node) const;
+	bool HasGeometry(GtpVisibility::HierarchyNode *node) const;
 	bool HasGreaterDistance(GtpVisibility::HierarchyNode *node1, 
-						    GtpVisibility::HierarchyNode *node2);
+						    GtpVisibility::HierarchyNode *node2) const;
 	
 	void SetNodeVisible(GtpVisibility::HierarchyNode *node, const bool visible);
-	void SetLastVisited(GtpVisibility::HierarchyNode *node, const int frameId);
+	void SetLastVisited(GtpVisibility::HierarchyNode *node, 
+						const unsigned int frameId);
 
-	bool IsNodeVisible(GtpVisibility::HierarchyNode *node);
-	int LastVisited(GtpVisibility::HierarchyNode *node);
+	bool IsNodeVisible(GtpVisibility::HierarchyNode *node) const;
+	unsigned int LastVisited(GtpVisibility::HierarchyNode *node) const;
 
 protected:
Index: trunk/VUT/Ogre/scripts/Plugin_VisibilitySceneManager.vcproj
===================================================================
--- trunk/VUT/Ogre/scripts/Plugin_VisibilitySceneManager.vcproj	(revision 64)
+++ trunk/VUT/Ogre/scripts/Plugin_VisibilitySceneManager.vcproj	(revision 74)
@@ -40,5 +40,5 @@
 				LinkIncremental="2"
 				SuppressStartupBanner="TRUE"
-				AdditionalLibraryDirectories="&quot;$(OGRE_PATH)\OgreMain\lib\$(ConfigurationName)&quot;;&quot;$(OGRE_PATH)\Dependencies\lib\$(ConfigurationName)&quot;;&quot;$(OGRE_PATH)\PlugIns\OctreeSceneManager\bin\$(ConfigurationName)&quot;;&quot;$(OGRE_PATH)\Samples\Common\CEGUIRenderer\lib&quot;;&quot;$(OGRE_ADDONS_PATH)\dotsceneoctree\PlugIns\DotSceneManager\bin\debug&quot;;..\lib\debug;..\..\lib\debug;..\..\GtpVisibility\lib\debug"
+				AdditionalLibraryDirectories="&quot;$(OGRE_PATH)\OgreMain\lib\$(ConfigurationName)&quot;;&quot;$(OGRE_PATH)\Dependencies\lib\$(ConfigurationName)&quot;;&quot;$(OGRE_PATH)\PlugIns\OctreeSceneManager\bin\$(ConfigurationName)&quot;;&quot;$(OGRE_PATH)\Samples\Common\CEGUIRenderer\lib&quot;;&quot;$(OGRE_ADDONS_PATH)\dotsceneoctree\PlugIns\DotSceneManager\bin\$(ConfigurationName)&quot;;&quot;..\lib\$(ConfigurationName)&quot;;&quot;..\..\lib\$(ConfigurationName)&quot;;&quot;..\..\GtpVisibility\lib\$(ConfigurationName)&quot;"
 				ModuleDefinitionFile="..\misc\OgreVisibilitySceneManager.def"
 				GenerateDebugInformation="TRUE"
@@ -87,6 +87,6 @@
 				EnableFiberSafeOptimizations="TRUE"
 				OptimizeForProcessor="2"
-				AdditionalIncludeDirectories="..\include;$(OGRE_PATH)\OgreMain\include"
-				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_USRDLL;PLUGIN_OCCLUSIONCULLINGSCENEMANAGER_EXPORTS"
+				AdditionalIncludeDirectories="&quot;$(OGRE_PATH)\PlugIns\OctreeSceneManager\include&quot;;&quot;$(OGRE_ADDONS_PATH)\dotsceneoctree\PlugIns\DotSceneManager\include&quot;;&quot;$(OGRE_PATH)\Samples\Common\include&quot;;&quot;$(OGRE_PATH)\Dependencies\include\CEGUI&quot;;&quot;$(OGRE_PATH)\Samples\Common\CEGUIRenderer\include&quot;;&quot;$(OGRE_PATH)\OgreMain\include&quot;;&quot;$(OGRE_PATH)\Dependencies\include&quot;;..\include;..\..\GtpVisibility\include"
+				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_USRDLL;PLUGIN_OCCLUSIONCULLINGSCENEMANAGER_EXPORTS;GTP_VISIBILITY_MODIFIED_OGRE"
 				StringPooling="TRUE"
 				RuntimeLibrary="2"
@@ -102,10 +102,10 @@
 				Name="VCLinkerTool"
 				IgnoreImportLibrary="TRUE"
-				AdditionalDependencies="OgreMain.lib"
+				AdditionalDependencies="OgreMain.lib CEGUIBase.lib OgreGUIRenderer.lib Plugin_OctreeSceneManager.lib GtpVisibility.lib"
 				OutputFile="$(OutDir)/Plugin_VisibilitySceneManager.dll"
 				Version="0.99"
 				LinkIncremental="1"
 				SuppressStartupBanner="TRUE"
-				AdditionalLibraryDirectories="&quot;$(OGRE_PATH)\OgreMain\lib\$(ConfigurationName)&quot;;&quot;..\..\..\Dependencies\lib\$(ConfigurationName)&quot;"
+				AdditionalLibraryDirectories="&quot;$(OGRE_PATH)\PlugIns\OctreeSceneManager\bin\$(ConfigurationName)&quot;;&quot;$(OGRE_PATH)\OgreMain\lib\$(ConfigurationName)&quot;;&quot;$(OGRE_ADDONS_PATH)\dotsceneoctree\PlugIns\DotSceneManager\bin\$(ConfigurationName)&quot;;&quot;$(OGRE_PATH)\Samples\Common\CEGUIRenderer\lib&quot;;&quot;..\..\GtpVisibility\lib\$(ConfigurationName)&quot;;&quot;..\..\lib\$(ConfigurationName)&quot;;&quot;..\lib\$(ConfigurationName)&quot;;&quot;$(OGRE_PATH)\Dependencies\lib\$(ConfigurationName)&quot;"
 				ModuleDefinitionFile="..\misc\OgreVisibilitySceneManager.def"
 				GenerateDebugInformation="TRUE"
@@ -144,4 +144,7 @@
 			Name="SceneManager_Plugins"
 			Filter="">
+			<File
+				RelativePath="..\..\GtpVisibility\include\VisibilityManager.h">
+			</File>
 			<Filter
 				Name="Header Files"
@@ -154,7 +157,4 @@
 				</File>
 				<File
-					RelativePath="..\include\OgreVisibilityDotSceneManager.h">
-				</File>
-				<File
 					RelativePath="..\include\OgreVisibilityOctreeSceneManager.h">
 				</File>
@@ -171,7 +171,4 @@
 				<File
 					RelativePath="..\src\OgreOctreeHierarchyInterface.cpp">
-				</File>
-				<File
-					RelativePath="..\src\OgreVisibilityDotSceneManager.cpp">
 				</File>
 				<File
@@ -202,4 +199,7 @@
 				</File>
 				<File
+					RelativePath="..\include\OgreVisibilityOptionsManager.h">
+				</File>
+				<File
 					RelativePath="..\include\OgreVisibilitySceneManager.h">
 				</File>
@@ -221,5 +221,11 @@
 				</File>
 				<File
+					RelativePath="..\src\OgreVisibilityOptionsManager.cpp">
+				</File>
+				<File
 					RelativePath="..\src\OgreVisibilitySceneManager.cpp">
+				</File>
+				<File
+					RelativePath="..\src\OgreVisibilitySceneManagerDll.cpp">
 				</File>
 			</Filter>
Index: trunk/VUT/Ogre/src/OgreOctreeHierarchyInterface.cpp
===================================================================
--- trunk/VUT/Ogre/src/OgreOctreeHierarchyInterface.cpp	(revision 59)
+++ trunk/VUT/Ogre/src/OgreOctreeHierarchyInterface.cpp	(revision 74)
@@ -2,5 +2,5 @@
 #include "OgreVisibilityOctreeSceneManager.h"
 #include <OgreOctree.h>
-//#include <windows.h>
+#include <windows.h>
 
 namespace Ogre {
@@ -19,10 +19,10 @@
 	RenderNode(node);
 	
-	for(int i=0; i<8; i++)
+	for(int i=0; i<8; ++i)
 	{
 		Octree *nextChild = 
 			static_cast<Octree *>(node)->mChildren[(i & 4) >> 2][(i & 2) >> 1][i & 1];
 
-		if(nextChild)
+        if (nextChild)
 		{
 			mDistanceQueue->push(nextChild);
@@ -31,5 +31,5 @@
 }
 //-----------------------------------------------------------------------
-bool OctreeHierarchyInterface::IsLeaf(GtpVisibility::HierarchyNode *node)
+bool OctreeHierarchyInterface::IsLeaf(GtpVisibility::HierarchyNode *node) const
 {
 	Octree *octant = static_cast<Octree *>(node);
@@ -37,5 +37,5 @@
 	for(int i=0; i<8; i++)
 	{
-		if(octant->mChildren[(i & 4) >> 2][(i & 2) >> 1][i & 1])
+		if (octant->mChildren[(i & 4) >> 2][(i & 2) >> 1][i & 1])
 			return false;
 	}
@@ -44,5 +44,5 @@
 }
 //-----------------------------------------------------------------------
-bool OctreeHierarchyInterface::HasGeometry(GtpVisibility::HierarchyNode *node)
+bool OctreeHierarchyInterface::HasGeometry(GtpVisibility::HierarchyNode *node) const
 {
 	return static_cast<Octree *>(node)->numNodes() > 0;
@@ -55,5 +55,5 @@
 //-----------------------------------------------------------------------
 bool OctreeHierarchyInterface::HasGreaterDistance(GtpVisibility::HierarchyNode *node1, 
-												  GtpVisibility::HierarchyNode *node2)
+												  GtpVisibility::HierarchyNode *node2) const
 {
 	// matt: change this (inefficient)
@@ -66,11 +66,13 @@
 }
 //-----------------------------------------------------------------------
-Real OctreeHierarchyInterface::GetSquaredViewDepth(const Camera* cam, const AxisAlignedBox* box) const
+Real OctreeHierarchyInterface::GetSquaredViewDepth(const Camera* cam, 
+												   const AxisAlignedBox* box) const
 {
-	Vector3 mid  = ((box->getMinimum() - box->getMaximum()) * 0.5) + box->getMinimum();
+	Vector3 mid = ((box->getMinimum() - box->getMaximum()) * 0.5) + box->getMinimum();
 	return (cam->getDerivedPosition() - mid).squaredLength();                                                                   
 }
 //-----------------------------------------------------------------------
-void OctreeHierarchyInterface::SetNodeVisible(GtpVisibility::HierarchyNode *node, const bool visible)
+void OctreeHierarchyInterface::SetNodeVisible(GtpVisibility::HierarchyNode *node, 
+											  const bool visible)
 {
 #ifdef GTP_VISIBILITY_MODIFIED_OGRE
@@ -79,5 +81,6 @@
 }
 //-----------------------------------------------------------------------
-void OctreeHierarchyInterface::SetLastVisited(GtpVisibility::HierarchyNode *node, const int frameId)
+void OctreeHierarchyInterface::SetLastVisited(GtpVisibility::HierarchyNode *node, 
+											  const unsigned int frameId)
 {
 #ifdef GTP_VISIBILITY_MODIFIED_OGRE
@@ -117,5 +120,5 @@
 }
 //-----------------------------------------------------------------------
-bool OctreeHierarchyInterface::IsNodeVisible(GtpVisibility::HierarchyNode *node)
+bool OctreeHierarchyInterface::IsNodeVisible(GtpVisibility::HierarchyNode *node) const
 {
 #ifdef GTP_VISIBILITY_MODIFIED_OGRE
@@ -126,5 +129,5 @@
 }
 //-----------------------------------------------------------------------
-int OctreeHierarchyInterface::LastVisited(GtpVisibility::HierarchyNode *node)
+unsigned int OctreeHierarchyInterface::LastVisited(GtpVisibility::HierarchyNode *node) const
 {
 #ifdef GTP_VISIBILITY_MODIFIED_OGRE
Index: trunk/VUT/Ogre/src/OgreVisibilityOctreeSceneManager.cpp
===================================================================
--- trunk/VUT/Ogre/src/OgreVisibilityOctreeSceneManager.cpp	(revision 59)
+++ trunk/VUT/Ogre/src/OgreVisibilityOctreeSceneManager.cpp	(revision 74)
@@ -1,3 +1,4 @@
 #include "OgreVisibilityOctreeSceneManager.h"
+#include "OgreVisibilityOptionsManager.h"
 #include <OgreMath.h>
 #include <OgreIteratorWrappers.h>
@@ -17,6 +18,6 @@
 
 	//mDisplayNodes = true;
-	//mShowBoundingBoxes = true;
-	//mShowBoxes = true;
+	mShowBoundingBoxes = true;
+	mShowBoxes = true;
 	//mMaxDepth = 20;
 }
@@ -45,5 +46,5 @@
 	setSpecialCaseRenderQueueMode(SceneManager::SCRQM_EXCLUDE);
 
-	mHierarchyInterface->InitFrame(mSceneRoot, mCameraInProgress);
+	mHierarchyInterface->InitFrame(mOctree, mCameraInProgress);
 	mVisibilityManager->ApplyVisibilityCulling();
 
@@ -66,5 +67,4 @@
 void VisibilityOctreeSceneManager::_updateSceneGraph(Camera* cam)
 {
-	//mOcclusionOctreeHierarchyInterface->setNumSceneNodes((int)mSceneNodes.size());
 	mVisibilityManager->GetCullingManager()->SetHierarchyInterface(mHierarchyInterface);
 	mHierarchyInterface->SetRenderSystem(mDestRenderSystem);
@@ -78,10 +78,18 @@
 bool VisibilityOctreeSceneManager::setOption(const String & key, const void * val)
 {
-	return /*mVisibilitySceneTraverser->setOption( key, val) || */OctreeSceneManager::setOption( key, val );
+	return VisibilityOptionsManager(mVisibilityManager, mHierarchyInterface).
+		setOption(key, val) || OctreeSceneManager::setOption(key, val);
 }
 //-----------------------------------------------------------------------
 bool VisibilityOctreeSceneManager::getOption(const String & key, void *val)
 {
-	return /*mVisibilitySceneTraverser->getOption( key, val) || */OctreeSceneManager::getOption(key, val);
+	if (key == "NumHierarchyNodes")
+	{
+		* static_cast<unsigned int *>(val) = (unsigned int)mNumOctreeNodes;
+		return true;
+	}
+
+	return VisibilityOptionsManager(mVisibilityManager, mHierarchyInterface).
+		getOption(key, val) && OctreeSceneManager::getOption(key, val);
 }
 //-----------------------------------------------------------------------
@@ -93,5 +101,6 @@
 bool VisibilityOctreeSceneManager::getOptionKeys(StringVector & refKeys)
 {
-	return /*mVisibilitySceneTraverser->getOptionKeys ( refKeys ) || */OctreeSceneManager::getOptionKeys(refKeys);
+	return  VisibilityOptionsManager(mVisibilityManager, mHierarchyInterface).
+		getOptionKeys ( refKeys ) || OctreeSceneManager::getOptionKeys(refKeys);
 }
 //-----------------------------------------------------------------------
Index: trunk/VUT/Ogre/src/OgreSceneNodeHierarchyInterface.cpp
===================================================================
--- trunk/VUT/Ogre/src/OgreSceneNodeHierarchyInterface.cpp	(revision 59)
+++ trunk/VUT/Ogre/src/OgreSceneNodeHierarchyInterface.cpp	(revision 74)
@@ -49,10 +49,10 @@
 }
 //-----------------------------------------------------------------------
-bool SceneNodeHierarchyInterface::IsLeaf(GtpVisibility::HierarchyNode *node)
+bool SceneNodeHierarchyInterface::IsLeaf(GtpVisibility::HierarchyNode *node) const
 {
 	return (static_cast<SceneNode *>(node)->numChildren() == 0);
 }
 //-----------------------------------------------------------------------
-bool SceneNodeHierarchyInterface::HasGeometry(GtpVisibility::HierarchyNode *node)
+bool SceneNodeHierarchyInterface::HasGeometry(GtpVisibility::HierarchyNode *node) const
 {
 	SceneNode *sceneNode = static_cast<SceneNode *>(node);
@@ -75,5 +75,5 @@
 //-----------------------------------------------------------------------
 bool SceneNodeHierarchyInterface::HasGreaterDistance(GtpVisibility::HierarchyNode *node1, 
-													 GtpVisibility::HierarchyNode *node2)
+													 GtpVisibility::HierarchyNode *node2) const
 {
 	SceneNode *sceneNode1 = static_cast<SceneNode *>(node1);
@@ -92,5 +92,6 @@
 }
 //-----------------------------------------------------------------------
-void SceneNodeHierarchyInterface::SetLastVisited(GtpVisibility::HierarchyNode *node, const int frameId)
+void SceneNodeHierarchyInterface::SetLastVisited(GtpVisibility::HierarchyNode *node, 
+												 const unsigned int frameId)
 {
 #ifdef GTP_VISIBILITY_MODIFIED_OGRE
@@ -100,5 +101,5 @@
 }
 //-----------------------------------------------------------------------
-bool SceneNodeHierarchyInterface::IsNodeVisible(GtpVisibility::HierarchyNode *node)
+bool SceneNodeHierarchyInterface::IsNodeVisible(GtpVisibility::HierarchyNode *node) const
 {
 #ifdef GTP_VISIBILITY_MODIFIED_OGRE
@@ -110,5 +111,5 @@
 }
 //-----------------------------------------------------------------------
-int SceneNodeHierarchyInterface::LastVisited(GtpVisibility::HierarchyNode *node)
+unsigned int SceneNodeHierarchyInterface::LastVisited(GtpVisibility::HierarchyNode *node) const
 {
 #ifdef GTP_VISIBILITY_MODIFIED_OGRE
Index: trunk/VUT/Ogre/src/OgreBspHierarchyInterface.cpp
===================================================================
--- trunk/VUT/Ogre/src/OgreBspHierarchyInterface.cpp	(revision 59)
+++ trunk/VUT/Ogre/src/OgreBspHierarchyInterface.cpp	(revision 74)
@@ -16,10 +16,10 @@
 }
 //-----------------------------------------------------------------------
-bool BspHierarchyInterface::IsLeaf(GtpVisibility::HierarchyNode *node)
+bool BspHierarchyInterface::IsLeaf(GtpVisibility::HierarchyNode *node) const
 {
 	return true;
 }
 //-----------------------------------------------------------------------
-bool BspHierarchyInterface::HasGeometry(GtpVisibility::HierarchyNode *node)
+bool BspHierarchyInterface::HasGeometry(GtpVisibility::HierarchyNode *node) const
 {
 	return true;
@@ -27,5 +27,5 @@
 //-----------------------------------------------------------------------
 bool BspHierarchyInterface::HasGreaterDistance(GtpVisibility::HierarchyNode *node1, 
-											   GtpVisibility::HierarchyNode *node2)
+											   GtpVisibility::HierarchyNode *node2) const
 {
 	return true;
@@ -37,9 +37,11 @@
 }
 //-----------------------------------------------------------------------
-void BspHierarchyInterface::SetNodeVisible(GtpVisibility::HierarchyNode *node, const bool visible)
+void BspHierarchyInterface::SetNodeVisible(GtpVisibility::HierarchyNode *node, 
+										   const bool visible)
 {
 }
 //-----------------------------------------------------------------------
-void BspHierarchyInterface::SetLastVisited(GtpVisibility::HierarchyNode *node, const int frameId)
+void BspHierarchyInterface::SetLastVisited(GtpVisibility::HierarchyNode *node, 
+										   const unsigned int frameId)
 {
 }
@@ -53,10 +55,10 @@
 }
 //-----------------------------------------------------------------------
-bool BspHierarchyInterface::IsNodeVisible(GtpVisibility::HierarchyNode *node)
+bool BspHierarchyInterface::IsNodeVisible(GtpVisibility::HierarchyNode *node) const
 {
 	return true;
 }
 //-----------------------------------------------------------------------
-int BspHierarchyInterface::LastVisited(GtpVisibility::HierarchyNode *node)
+unsigned int BspHierarchyInterface::LastVisited(GtpVisibility::HierarchyNode *node) const
 {
 	return 0;
Index: trunk/VUT/Ogre/src/OgrePlatformHierarchyInterface.cpp
===================================================================
--- trunk/VUT/Ogre/src/OgrePlatformHierarchyInterface.cpp	(revision 59)
+++ trunk/VUT/Ogre/src/OgrePlatformHierarchyInterface.cpp	(revision 74)
@@ -10,5 +10,6 @@
 
 //-----------------------------------------------------------------------
-PlatformHierarchyInterface::PlatformHierarchyInterface(SceneManager *sm, RenderSystem *rsys)
+PlatformHierarchyInterface::PlatformHierarchyInterface(SceneManager *sm, RenderSystem *rsys):
+mSceneManager(sm), mRenderSystem(rsys)
 {		
 	mHalfBoundingBox[0] = mHalfBoundingBox[1] = NULL;
@@ -45,8 +46,9 @@
 		
 		mRenderSystem->_setWorldMatrix(Ogre::Matrix4::IDENTITY);
-
+		
 		static RenderOperation ro;
 
-		mSceneManager->useRenderableViewProjMode(halfbox);
+        mSceneManager->useRenderableViewProjMode(halfbox);
+		mSceneManager->setPass(halfbox->getTechnique()->getPass(0));
 		halfbox->getRenderOperation(ro);
 		ro.srcRenderable = halfbox; 
@@ -66,9 +68,4 @@
 	return mHalfBoundingBox[half];	
 }
-//-----------------------------------------------------------------------
-/*void OcclusionHierarchyInterface::setNumHierarchyNodes(int num)
-{
-	mNumSceneNodes = num;
-}*/
 //-----------------------------------------------------------------------
 void PlatformHierarchyInterface::SetCamera(Ogre::Camera *cam)
Index: trunk/VUT/Ogre/src/OgreVisibilityTerrainSceneManager.cpp
===================================================================
--- trunk/VUT/Ogre/src/OgreVisibilityTerrainSceneManager.cpp	(revision 59)
+++ trunk/VUT/Ogre/src/OgreVisibilityTerrainSceneManager.cpp	(revision 74)
@@ -1,4 +1,5 @@
 #include "OgreVisibilityTerrainSceneManager.h"
 #include "OgreOctreeHierarchyInterface.h"
+#include "OgreVisibilityOptionsManager.h"
 #include <OgreMath.h>
 #include <OgreIteratorWrappers.h>
@@ -18,7 +19,7 @@
 
 	setVisibilityManager(visManager);
-	//mShowBoxes = true;
+	mShowBoxes = true;
 	//mDisplayNodes = true;
-	//mShowBoundingBoxes = true;
+	mShowBoundingBoxes = true;
 	mMaxDepth = 20;
 }
@@ -47,7 +48,7 @@
 	setSpecialCaseRenderQueueMode(SceneManager::SCRQM_EXCLUDE);
 
-	mHierarchyInterface->InitFrame(mSceneRoot, mCameraInProgress);
+	mHierarchyInterface->InitFrame(mOctree, mCameraInProgress);
+	mVisibilityManager->ApplyVisibilityCulling();
 
-	mVisibilityManager->ApplyVisibilityCulling();
 #ifdef GTP_VISIBILITY_MODIFIED_OGRE
 	_deleteRenderedQueueGroups();
@@ -70,4 +71,5 @@
 	mVisibilityManager->GetCullingManager()->SetHierarchyInterface(mHierarchyInterface);
 	mHierarchyInterface->SetRenderSystem(mDestRenderSystem);
+
 #ifdef GTP_VISIBILITY_MODIFIED_OGRE
     mHierarchyInterface->SetNumOctreeNodes(mNumOctreeNodes);
@@ -78,20 +80,29 @@
 bool VisibilityTerrainSceneManager::setOption(const String & key, const void * val)
 {
-	return /*mOcclusionOctreeHierarchyInterface->setOption( key, val) || */TerrainSceneManager::setOption( key, val );
+	return VisibilityOptionsManager(mVisibilityManager, mHierarchyInterface).
+		setOption(key, val) || TerrainSceneManager::setOption(key, val);
 }
 //-----------------------------------------------------------------------
 bool VisibilityTerrainSceneManager::getOption(const String & key, void *val)
 {
-	return /*mOcclusionOctreeHierarchyInterface->getOption( key, val) || */TerrainSceneManager::getOption( key, val ) ;
+	if (key == "NumHierarchyNodes")
+	{
+		* static_cast<unsigned int *>(val) = (unsigned int)mNumOctreeNodes;
+		return true;
+	}
+	
+	return VisibilityOptionsManager(mVisibilityManager, mHierarchyInterface).
+		getOption(key, val) && TerrainSceneManager::getOption(key, val);
 }
 //-----------------------------------------------------------------------
 bool VisibilityTerrainSceneManager::getOptionValues(const String & key, StringVector  &refValueList)
 {
-	return TerrainSceneManager::getOptionValues( key, refValueList );
+	return TerrainSceneManager::getOptionValues( key, refValueList);
 }
 //-----------------------------------------------------------------------
 bool VisibilityTerrainSceneManager::getOptionKeys(StringVector & refKeys)
 {
-	return /*mOcclusionOctreeHierarchyInterface->getOptionKeys ( refKeys ) ||*/ TerrainSceneManager::getOptionKeys( refKeys );
+	return VisibilityOptionsManager(mVisibilityManager, mHierarchyInterface).
+		getOptionKeys(refKeys) || TerrainSceneManager::getOptionKeys(refKeys);
 }
 //-----------------------------------------------------------------------
Index: trunk/VUT/Ogre/src/OgreVisibilitySceneManagerDll.cpp
===================================================================
--- trunk/VUT/Ogre/src/OgreVisibilitySceneManagerDll.cpp	(revision 59)
+++ trunk/VUT/Ogre/src/OgreVisibilitySceneManagerDll.cpp	(revision 74)
@@ -24,23 +24,23 @@
 */
 
-#include <OgreOcclusionCullingTerrainSceneManager.h>
-#include <OgreOcclusionCullingOctreeSceneManager.h>
-//#include <OgreOcclusionCullingDotSceneManager.h>
+#include <OgreVisibilityTerrainSceneManager.h>
+#include <OgreVisibilityOctreeSceneManager.h>
+//#include <OgreVisibilityDotSceneManager.h>
 #include <OgreHeightmapTerrainPageSource.h>
-#include "GtpVisibilityManager.h"
-#include "GtpVisibilityStopAndWaitManager.h"
-#include "GtpVisibilityEnvironment.h"
+#include "VisibilityManager.h"
+#include "StopAndWaitCullingManager.h"
+#include "VisibilityEnvironment.h"
 
 #include <OgreRoot.h>
 
 //#include <windows.h>
-GtpVisibility::Environment *visEnv;
-GtpVisibility::Manager *visManager;
+GtpVisibility::VisibilityEnvironment *visEnv;
+GtpVisibility::VisibilityManager *visManager;
 
 namespace Ogre {
 
-// OcclusionCullingDotSceneManager *occlusionDotPlugin;
-OcclusionCullingOctreeSceneManager *cullingOctreePlugin;
-OcclusionCullingTerrainSceneManager *cullingTerrainPlugin;
+// VisibilityDotSceneManager *occlusionDotPlugin;
+VisibilityOctreeSceneManager *cullingOctreePlugin;
+VisibilityTerrainSceneManager *cullingTerrainPlugin;
 
 HeightmapTerrainPageSource *heightmapTerrainPageSource;
@@ -49,9 +49,9 @@
 extern "C" void dllStartPlugin(void)
 {
-	visManager = new GtpVisibility::Manager(visEnv);
+	visManager = new GtpVisibility::VisibilityManager(visEnv);
 	// Create new scene manager
-	//occlusionDotPlugin = new OcclusionCullingDotSceneManager();
-	cullingOctreePlugin = new OcclusionCullingOctreeSceneManager(visManager);
-	cullingTerrainPlugin = new OcclusionCullingTerrainSceneManager(visManager);
+	//occlusionDotPlugin = new VisibilityDotSceneManager();
+	cullingOctreePlugin = new VisibilityOctreeSceneManager(visManager);
+	cullingTerrainPlugin = new VisibilityTerrainSceneManager(visManager);
 	heightmapTerrainPageSource = new HeightmapTerrainPageSource();
 
Index: trunk/VUT/Ogre/src/OgreVisibilitySceneManager.cpp
===================================================================
--- trunk/VUT/Ogre/src/OgreVisibilitySceneManager.cpp	(revision 59)
+++ trunk/VUT/Ogre/src/OgreVisibilitySceneManager.cpp	(revision 74)
@@ -5,4 +5,5 @@
 #include "OgreVisibilitySceneManager.h"
 #include "OgreSceneNodeHierarchyInterface.h"
+#include "OgreVisibilityOptionsManager.h"
 
 //#include <windows.h>
@@ -45,5 +46,4 @@
 
 	mHierarchyInterface->InitFrame(mSceneRoot, mCameraInProgress);
-
 	mVisibilityManager->ApplyVisibilityCulling();
 
@@ -61,10 +61,7 @@
 void VisibilitySceneManager::_updateSceneGraph(Camera* cam)
 {
-	//mVisibilitySceneTraverser->setNumSceneNodes((int)mSceneNodes.size());
 	mVisibilityManager->GetCullingManager()->SetHierarchyInterface(mHierarchyInterface);
 	mHierarchyInterface->SetRenderSystem(mDestRenderSystem);
 	
-	//mVisibilitySceneTraverser->setNumQueries((int)mSceneNodes.size());
-   	
 	SceneManager::_updateSceneGraph(cam);
 }
@@ -72,13 +69,18 @@
 bool VisibilitySceneManager::setOption(const String & key, const void * val)
 {
-	//mVisibilitySceneTraverser->setOption(key, val);	
-	return SceneManager::setOption(key, val);
+	return VisibilityOptionsManager(mVisibilityManager, mHierarchyInterface).
+		setOption(key, val) || SceneManager::setOption(key, val);
 }
 //-----------------------------------------------------------------------
 bool VisibilitySceneManager::getOption(const String & key, void *val)
 {
-	//mVisibilitySceneTraverser->getOption(key, val);
+	if (key == "NumHierarchyNodes")
+	{
+		* static_cast<unsigned int *>(val) = (unsigned int)mSceneNodes.size();
+		return true;
+	}
 	
-	return SceneManager::getOption(key, val);
+	return VisibilityOptionsManager(mVisibilityManager, mHierarchyInterface).
+		getOption(key, val) && SceneManager::getOption(key, val);
 }
 //-----------------------------------------------------------------------
@@ -90,8 +92,6 @@
 bool VisibilitySceneManager::getOptionKeys(StringVector & refKeys)
 {
-	SceneManager::getOptionKeys(refKeys);
-	//mVisibilitySceneTraverser->getOptionKeys( refKeys );
-
-	return true;
+	return VisibilityOptionsManager(mVisibilityManager, mHierarchyInterface).
+		getOptionKeys(refKeys) || SceneManager::getOptionKeys(refKeys);
 }
 //-----------------------------------------------------------------------
Index: trunk/VUT/Ogre/resources/VisibilityDemo.overlay
===================================================================
--- trunk/VUT/Ogre/resources/VisibilityDemo.overlay	(revision 74)
+++ trunk/VUT/Ogre/resources/VisibilityDemo.overlay	(revision 74)
@@ -0,0 +1,235 @@
+Example/VisibilityDemoOverlay
+{
+	zorder 500
+	// Stats block
+	container BorderPanel(Example/Visibility/VisibilityPanel)
+	{
+		metrics_mode pixels
+		vert_align top
+		left 5 
+		top 5
+		width 450
+		height 55
+		material Core/StatsBlockCenter
+        	border_size 1 1 1 1
+        	border_material Core/StatsBlockBorder
+        	border_topleft_uv     0.0000 1.0000 0.0039 0.9961
+	    	border_top_uv         0.0039 1.0000 0.9961 0.9961
+	    	border_topright_uv    0.9961 1.0000 1.0000 0.9961
+	    	border_left_uv        0.0000 0.9961 0.0039 0.0039
+	    	border_right_uv       0.9961 0.9961 1.0000 0.0039
+	    	border_bottomleft_uv  0.0000 0.0039 0.0039 0.0000
+        	border_bottom_uv      0.0039 0.0039 0.9961 0.0000
+	    	border_bottomright_uv 0.9961 0.0039 1.0000 0.0000
+
+
+		element TextArea(Example/Visibility/Algorithm)
+		{
+			metrics_mode pixels
+			left 5
+			top 5
+			width 180
+			height 30
+			font_name TrebuchetMSBold
+			char_height 16
+			caption [A] Algorithm
+			colour_top 0.5 0.7 0.5
+			colour_bottom 0.3 0.5 0.3
+		}
+		element TextArea(Example/Visibility/AlgorithmInfo)
+		{
+			metrics_mode pixels
+			left 155
+			top 5
+			width 90
+			height 30
+			font_name TrebuchetMSBold
+			char_height 16
+			caption :
+			colour_top 0.5 0.7 0.5
+			colour_bottom 0.3 0.5 0.3
+		}
+
+		element TextArea(Example/Visibility/Threshold)
+		{
+			metrics_mode pixels
+			left 5
+			top 20
+			width 90
+			height 30
+			font_name TrebuchetMSBold
+			char_height 16
+			caption [-][+] Threshold
+			colour_top 0.5 0.7 0.5
+			colour_bottom 0.3 0.5 0.3
+		}
+		element TextArea(Example/Visibility/ThresholdInfo)
+		{
+			metrics_mode pixels
+			left 155
+			top 20
+			width 90
+			height 30
+			font_name TrebuchetMSBold
+			char_height 16
+			caption :
+			colour_top 0.5 0.7 0.5
+			colour_bottom 0.3 0.5 0.3
+		}
+	}
+
+	container BorderPanel(Example/Visibility/VisibilityStatsPanel)
+	{
+		metrics_mode pixels
+		vert_align top
+		horz_align right
+		left -355 
+		top 5
+		width 450
+		height 90
+		material Core/StatsBlockCenter
+        	border_size 1 1 1 1
+        	border_material Core/StatsBlockBorder
+        	border_topleft_uv     0.0000 1.0000 0.0039 0.9961
+	    	border_top_uv         0.0039 1.0000 0.9961 0.9961
+	    	border_topright_uv    0.9961 1.0000 1.0000 0.9961
+	    	border_left_uv        0.0000 0.9961 0.0039 0.0039
+	    	border_right_uv       0.9961 0.9961 1.0000 0.0039
+	    	border_bottomleft_uv  0.0000 0.0039 0.0039 0.0000
+        	border_bottom_uv      0.0039 0.0039 0.9961 0.0000
+	    	border_bottomright_uv 0.9961 0.0039 1.0000 0.0000
+
+		element TextArea(Example/Visibility/FrustumCulledNodes)
+		{
+			metrics_mode pixels
+			left 5
+			top 5
+			width 180
+			height 30
+			font_name TrebuchetMSBold
+			char_height 16
+			caption Frustum Culled Nodes
+			colour_top 0.5 0.7 0.5
+			colour_bottom 0.3 0.5 0.3
+		}
+		element TextArea(Example/Visibility/FrustumCulledNodesInfo)
+		{
+			metrics_mode pixels
+			left 180
+			top 5
+			width 90
+			height 30
+			font_name TrebuchetMSBold
+			char_height 16
+			caption :
+			colour_top 0.5 0.7 0.5
+			colour_bottom 0.3 0.5 0.3
+		}
+		element TextArea(Example/Visibility/QueryCulledNodes)
+		{
+			metrics_mode pixels
+			left 5
+			top 20
+			width 180
+			height 30
+			font_name TrebuchetMSBold
+			char_height 16
+			caption Query Culled Nodes
+			colour_top 0.5 0.7 0.5
+			colour_bottom 0.3 0.5 0.3
+		}	
+		element TextArea(Example/Visibility/QueryCulledNodesInfo)
+		{
+			metrics_mode pixels
+			left 180
+			top 20
+			width 90
+			height 30
+			font_name TrebuchetMSBold
+			char_height 16
+			caption :
+			colour_top 0.5 0.7 0.5
+			colour_bottom 0.3 0.5 0.3
+		}
+		element TextArea(Example/Visibility/TraversedNodes)
+		{
+			metrics_mode pixels
+			left 5
+			top 35
+			width 180
+			height 30
+			font_name TrebuchetMSBold
+			char_height 16
+			caption Traversed Nodes
+			colour_top 0.5 0.7 0.5
+			colour_bottom 0.3 0.5 0.3
+		}	
+		element TextArea(Example/Visibility/TraversedNodesInfo)
+		{
+			metrics_mode pixels
+			left 180
+			top 35
+			width 90
+			height 30
+			font_name TrebuchetMSBold
+			char_height 16
+			caption :
+			colour_top 0.5 0.7 0.5
+			colour_bottom 0.3 0.5 0.3
+		}
+		element TextArea(Example/Visibility/HierarchyNodes)
+		{
+			metrics_mode pixels
+			left 5
+			top 50
+			width 180
+			height 30
+			font_name TrebuchetMSBold
+			char_height 16
+			caption Hierarchy Nodes
+			colour_top 0.5 0.7 0.5
+			colour_bottom 0.3 0.5 0.3
+		}	
+		element TextArea(Example/Visibility/HierarchyNodesInfo)
+		{
+			metrics_mode pixels
+			left 180
+			top 50
+			width 90
+			height 30
+			font_name TrebuchetMSBold
+			char_height 16
+			caption :
+			colour_top 0.5 0.7 0.5
+			colour_bottom 0.3 0.5 0.3
+		}
+		element TextArea(Example/Visibility/RenderedNodes)
+		{
+			metrics_mode pixels
+			left 5
+			top 65
+			width 180
+			height 30
+			font_name TrebuchetMSBold
+			char_height 16
+			caption Rendered Nodes
+			colour_top 0.5 0.7 0.5
+			colour_bottom 0.3 0.5 0.3
+		}	
+		element TextArea(Example/Visibility/RenderedNodesInfo)
+		{
+			metrics_mode pixels
+			left 180
+			top 65
+			width 90
+			height 30
+			font_name TrebuchetMSBold
+			char_height 16
+			caption :
+			colour_top 0.5 0.7 0.5
+			colour_bottom 0.3 0.5 0.3
+		}
+
+
+	}
+}
Index: trunk/VUT/Ogre/resources/OcclusionCullingDemo.overlay
===================================================================
--- trunk/VUT/Ogre/resources/OcclusionCullingDemo.overlay	(revision 59)
+++ 	(revision )
@@ -1,261 +1,0 @@
-Example/OcclusionCullingDemoOverlay
-{
-	zorder 500
-	// Stats block
-	container BorderPanel(Example/Occlusion/OcclusionPanel)
-	{
-		metrics_mode pixels
-		vert_align top
-		left 5 
-		top 5
-		width 450
-		height 55
-		material Core/StatsBlockCenter
-        	border_size 1 1 1 1
-        	border_material Core/StatsBlockBorder
-        	border_topleft_uv     0.0000 1.0000 0.0039 0.9961
-	    	border_top_uv         0.0039 1.0000 0.9961 0.9961
-	    	border_topright_uv    0.9961 1.0000 1.0000 0.9961
-	    	border_left_uv        0.0000 0.9961 0.0039 0.0039
-	    	border_right_uv       0.9961 0.9961 1.0000 0.0039
-	    	border_bottomleft_uv  0.0000 0.0039 0.0039 0.0000
-        	border_bottom_uv      0.0039 0.0039 0.9961 0.0000
-	    	border_bottomright_uv 0.9961 0.0039 1.0000 0.0000
-
-
-		element TextArea(Example/Occlusion/Algorithm)
-		{
-			metrics_mode pixels
-			left 5
-			top 5
-			width 180
-			height 30
-			font_name TrebuchetMSBold
-			char_height 16
-			caption [A] Algorithm
-			colour_top 0.5 0.7 0.5
-			colour_bottom 0.3 0.5 0.3
-		}
-		element TextArea(Example/Occlusion/AlgorithmInfo)
-		{
-			metrics_mode pixels
-			left 155
-			top 5
-			width 90
-			height 30
-			font_name TrebuchetMSBold
-			char_height 16
-			caption :
-			colour_top 0.5 0.7 0.5
-			colour_bottom 0.3 0.5 0.3
-		}
-
-		element TextArea(Example/Occlusion/Threshold)
-		{
-			metrics_mode pixels
-			left 5
-			top 20
-			width 90
-			height 30
-			font_name TrebuchetMSBold
-			char_height 16
-			caption [-][+] Threshold
-			colour_top 0.5 0.7 0.5
-			colour_bottom 0.3 0.5 0.3
-		}
-		element TextArea(Example/Occlusion/ThresholdInfo)
-		{
-			metrics_mode pixels
-			left 155
-			top 20
-			width 90
-			height 30
-			font_name TrebuchetMSBold
-			char_height 16
-			caption :
-			colour_top 0.5 0.7 0.5
-			colour_bottom 0.3 0.5 0.3
-		}
-	}
-
-	container BorderPanel(Example/Occlusion/OcclusionStatsPanel)
-	{
-		metrics_mode pixels
-		vert_align top
-		horz_align right
-		left -355 
-		top 5
-		width 450
-		height 105
-		material Core/StatsBlockCenter
-        	border_size 1 1 1 1
-        	border_material Core/StatsBlockBorder
-        	border_topleft_uv     0.0000 1.0000 0.0039 0.9961
-	    	border_top_uv         0.0039 1.0000 0.9961 0.9961
-	    	border_topright_uv    0.9961 1.0000 1.0000 0.9961
-	    	border_left_uv        0.0000 0.9961 0.0039 0.0039
-	    	border_right_uv       0.9961 0.9961 1.0000 0.0039
-	    	border_bottomleft_uv  0.0000 0.0039 0.0039 0.0000
-        	border_bottom_uv      0.0039 0.0039 0.9961 0.0000
-	    	border_bottomright_uv 0.9961 0.0039 1.0000 0.0000
-
-		element TextArea(Example/Occlusion/FrustumCulledNodes)
-		{
-			metrics_mode pixels
-			left 5
-			top 5
-			width 180
-			height 30
-			font_name TrebuchetMSBold
-			char_height 16
-			caption Frustum Culled Nodes
-			colour_top 0.5 0.7 0.5
-			colour_bottom 0.3 0.5 0.3
-		}
-		element TextArea(Example/Occlusion/FrustumCulledNodesInfo)
-		{
-			metrics_mode pixels
-			left 180
-			top 5
-			width 90
-			height 30
-			font_name TrebuchetMSBold
-			char_height 16
-			caption :
-			colour_top 0.5 0.7 0.5
-			colour_bottom 0.3 0.5 0.3
-		}
-		element TextArea(Example/Occlusion/QueryCulledNodes)
-		{
-			metrics_mode pixels
-			left 5
-			top 20
-			width 180
-			height 30
-			font_name TrebuchetMSBold
-			char_height 16
-			caption Query Culled Nodes
-			colour_top 0.5 0.7 0.5
-			colour_bottom 0.3 0.5 0.3
-		}	
-		element TextArea(Example/Occlusion/QueryCulledNodesInfo)
-		{
-			metrics_mode pixels
-			left 180
-			top 20
-			width 90
-			height 30
-			font_name TrebuchetMSBold
-			char_height 16
-			caption :
-			colour_top 0.5 0.7 0.5
-			colour_bottom 0.3 0.5 0.3
-		}
-		element TextArea(Example/Occlusion/TraversedNodes)
-		{
-			metrics_mode pixels
-			left 5
-			top 35
-			width 180
-			height 30
-			font_name TrebuchetMSBold
-			char_height 16
-			caption Traversed Nodes
-			colour_top 0.5 0.7 0.5
-			colour_bottom 0.3 0.5 0.3
-		}	
-		element TextArea(Example/Occlusion/TraversedNodesInfo)
-		{
-			metrics_mode pixels
-			left 180
-			top 35
-			width 90
-			height 30
-			font_name TrebuchetMSBold
-			char_height 16
-			caption :
-			colour_top 0.5 0.7 0.5
-			colour_bottom 0.3 0.5 0.3
-		}
-		element TextArea(Example/Occlusion/SceneNodes)
-		{
-			metrics_mode pixels
-			left 5
-			top 50
-			width 180
-			height 30
-			font_name TrebuchetMSBold
-			char_height 16
-			caption Scene Nodes
-			colour_top 0.5 0.7 0.5
-			colour_bottom 0.3 0.5 0.3
-		}	
-		element TextArea(Example/Occlusion/SceneNodesInfo)
-		{
-			metrics_mode pixels
-			left 180
-			top 50
-			width 90
-			height 30
-			font_name TrebuchetMSBold
-			char_height 16
-			caption :
-			colour_top 0.5 0.7 0.5
-			colour_bottom 0.3 0.5 0.3
-		}
-		element TextArea(Example/Occlusion/HierarchyNodes)
-		{
-			metrics_mode pixels
-			left 5
-			top 65
-			width 180
-			height 30
-			font_name TrebuchetMSBold
-			char_height 16
-			caption Hierarchy Nodes
-			colour_top 0.5 0.7 0.5
-			colour_bottom 0.3 0.5 0.3
-		}	
-		element TextArea(Example/Occlusion/HierarchyNodesInfo)
-		{
-			metrics_mode pixels
-			left 180
-			top 65
-			width 90
-			height 30
-			font_name TrebuchetMSBold
-			char_height 16
-			caption :
-			colour_top 0.5 0.7 0.5
-			colour_bottom 0.3 0.5 0.3
-		}
-		element TextArea(Example/Occlusion/RenderedNodes)
-		{
-			metrics_mode pixels
-			left 5
-			top 80
-			width 180
-			height 30
-			font_name TrebuchetMSBold
-			char_height 16
-			caption Rendered Nodes
-			colour_top 0.5 0.7 0.5
-			colour_bottom 0.3 0.5 0.3
-		}	
-		element TextArea(Example/Occlusion/RenderedNodesInfo)
-		{
-			metrics_mode pixels
-			left 180
-			top 80
-			width 90
-			height 30
-			font_name TrebuchetMSBold
-			char_height 16
-			caption :
-			colour_top 0.5 0.7 0.5
-			colour_bottom 0.3 0.5 0.3
-		}
-
-
-	}
-}
Index: trunk/VUT/Ogre/misc/OgreVisibilitySceneManager.def
===================================================================
--- trunk/VUT/Ogre/misc/OgreVisibilitySceneManager.def	(revision 59)
+++ trunk/VUT/Ogre/misc/OgreVisibilitySceneManager.def	(revision 74)
@@ -1,3 +1,3 @@
-LIBRARY Plugin_OcclusionCullingSceneManager
+LIBRARY Plugin_VisibilitySceneManager
 EXPORTS	
 	dllStartPlugin
